#include "mcore.h"

Fifo<uint8_t, 16> fifo;

void task0([[maybe_unused]] void *arg)
{
  uint8_t data;
  while (1)
  {
    Task::sleep(1000);
    Led::toggle(LED_R);
    fifo.put(&data);
  }
  /* The task ends when return from the function */
}

void task1([[maybe_unused]] void *arg)
{
  uint8_t data;
  while (1)
  {
    fifo.get(&data);
    Task::sleep(500);
    Led::toggle(LED_R);
  }
  /* The task ends when return from the function */
}

void setup()
{
  /* Setup MCore */
  MCore::begin();

  /* Setup Task */
  Task::start(task0);
  Task::start(task1);
}

void loop()
{
  /* Handle MCore */
  MCore::handle();
}
</pre> 
