/*
  mcore.h - Micro Core Libraries for Embedded System

  Copyright (c) 2022 Sasapea's Lab. All right reserved.

  This library is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation; either
  version 2.1 of the License, or (at your option) any later version.

  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General
  Public License along with this library; if not, write to the
  Free Software Foundation, Inc., 59 Temple Place, Suite 330,
  Boston, MA  02111-1307  USA
*/
#pragma once

/* Board Library Include */
#if   defined(ARDUINO_AVR_UNO) || \
      defined(ARDUINO_AVR_DUEMILANOVE) || \
      defined(ARDUINO_AVR_LILYPAD) || \
      defined(ARDUINO_AVR_NG) || \
      defined(ARDUINO_AVR_UNO_WIFI_DEV_ED)
  #include "mcore_standard.h"
#elif defined(ARDUINO_AVR_LEONARDO) || \
      defined(ARDUINO_AVR_LEONARDO_ETH) || \
      defined(ARDUINO_AVR_ESPLORA) || \
      defined(ARDUINO_AVR_LILYPAD_USB) || \
      defined(ARDUINO_AVR_A_STAR_32U4)
  #include "mcore_leonardo.h"
#elif defined(ARDUINO_AVR_MICRO)
  #include "mcore_micro.h"
#elif defined(ARDUINO_AVR_DIGISPARK)
  #include "mcore_digispark.h"
#else
  #include "../none/mcore.h"
#endif
